Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class RowSetIteratorHelper

`java.lang.Object
oracle.jbo.common.PropertiesHelper
oracle.jbo.common.RowSetHelper
oracle.jbo.common.RowSetIteratorHelper`

All Implemented Interfaces:
  Properties

Direct Known Subclasses:
  ViewRowSetIteratorImpl

public abstract class RowSetIteratorHelper
extends RowSetHelper

Internal: Applications should not use this class.

Field Summary
`protected Row` | `mCurrentRow`

Fields inherited from class oracle.jbo.common.RowSetHelper
`listeners, mMgmtListeners, mName`

Fields inherited from class oracle.jbo.common.PropertiesHelper
`mProperties`

Constructor Summary
`RowSetIteratorHelper()`

Method Summary
`static Key` | `createKey(AttributeList al, AttributeDef[] keyAttrs)`
`static Row[]` | `getFilteredRows(RowSetIterator rsiOrig, java.lang.String attrName, java.lang.Object attrValue)`
`static Row[]` | `getFilteredRowsInRange(RowSetIterator rsi, java.lang.String attrName, java.lang.Object attrValue)`

Methods inherited from class oracle.jbo.common.RowSetHelper
`addListener, addManagementListener, fireMgmtIteratorClosed, fireMgmtIteratorReset, fireNavigationEvent, fireRangeRefreshed, fireRangeScrolled, fireRowDeleted, fireRowInserted, fireRowUpdated, getListeners, getListenersList, getManagementListenersList, getMessageBundleClass, getName, hasListeners, hasManagementListeners, removeListener, removeManagementListener, setName, updateNamedWhereParamValues`

Methods inherited from class oracle.jbo.common.PropertiesHelper
`getProperties, getProperty, refreshProperty, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mCurrentRow

    protected Row mCurrentRow

Constructor Detail

### RowSetIteratorHelper

    public RowSetIteratorHelper()

Method Detail

### createKey

    public static Key createKey(AttributeList al,
                                AttributeDef[] keyAttrs)

### getFilteredRows

    public static Row[] getFilteredRows(RowSetIterator rsiOrig,
                                        java.lang.String attrName,
                                        java.lang.Object attrValue)

### getFilteredRowsInRange

    public static Row[] getFilteredRowsInRange(RowSetIterator rsi,
                                               java.lang.String attrName,
                                               java.lang.Object attrValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.